- Docs
- REST API
- Basic Data
- Product List
Product List
Covers Real-Time and Historical Data for Global Major Markets Including Chinese, US, and Hong Kong Stocks, Global Forex, Indices, Futures, Funds, and Crypto.
GET
/symbol/listRequest Parameters
typeenumRequiredProduct category stock | forex | indices | crypto | future | fund
regionenumRequiredMarket code. Stocks include (HK, SZ, SH, US, SG, JP, TW, IN, TH, DE, MX, MY, TR, ES, NL, GB, ID, VN), Forex (GB), Indices (GB), Crypto (BA), Future(US, HK, CN), Funds (US)
codestringProduct code
Response Parameters
codenumberResponse code
msgstringResponse description
dataarray(object)▶Response result
cstringProduct code
nstringProduct name
tstringType such as stock | forex | indices | crypto | future | fund
estringExchange
Code Examples
import requests
url = "https://api.itick.org/symbol/list?type=stock®ion=hk&code=700"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
GET
https://api.itick.org/symbol/list?type=stock®ion=HK&code=700, Run query
Response Result
{
"code": 0,
"msg": "ok",
"data": [
{
"c": "700",
"n": "騰訊控股",
"t": "stock",
"e": "HKEX",
"s": null,
"l": "tencent"
}
]
}